SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1404528 (CVE-2016-9585) - CVE-2016-9585 EAP-5: unsafe deserialization of user credentials by the JMX endpoint
Summary: CVE-2016-9585 EAP-5: unsafe deserialization of user credentials by the JMX en...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-9585
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-14 02:36 UTC by Jason Shepherd
Modified: 2019-09-29 14:02 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that the JMX endpoint of Red Hat JBoss EAP 5 deserializes the credentials passed to it. An attacker could use this flaw to cause a denial of service.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:04:25 UTC


Attachments (Terms of Use)

Description Jason Shepherd 2016-12-14 02:36:49 UTC
If a user exposes Remote JMX on EAP 5, or SOA-P 5 they could be vulnerable to a Denial of Service Attack.

Comment 1 Jason Shepherd 2016-12-14 02:37:07 UTC
Acknowledgments:

Name: Jason Shepherd (Red Hat)

Comment 2 Jason Shepherd 2016-12-14 02:42:58 UTC
Mitigation:

You should not expose Remote JMX on EAP 5, or SOA-P 5. To do that remove this system property from bin/run.conf, or bin/run.conf.bat:

   com.sun.management.jmxremote.port=<portNum>


Note You need to log in before you can comment on or make changes to this bug.